Summary: GnuPG IPC library
Name:    libassuan
Version: 2.5.6
Release: 4%{?dist}
License: LGPLv2+ and GPLv3+
URL:     https://www.gnupg.org/
Source0: https://gnupg.org/ftp/gcrypt/libassuan/libassuan-%{version}.tar.bz2

Patch3000:  libassuan-2.5.2-multilib.patch
Patch3001:  libassuan-2.5.5-coverity.patch

BuildRequires: gcc gawk libgpg-error-devel >= 1.8 make

%description
This is the IPC library used by GnuPG 2, GPGME and a few other packages.

%package devel
Summary: GnuPG IPC library
Provides: libassuan2-devel = %{version}-%{release}
Requires: libassuan = %{version}-%{release} pkgconfig
%description devel
This is the IPC static library used by GnuPG 2, GPGME and a few other
packages.

This package contains files needed to develop applications using libassuan.


%prep
%autosetup -p1

%build
%configure --includedir=%{_includedir}/libassuan2

%make_build

%install
%make_install

rm -fv %{buildroot}%{_infodir}/dir
rm -fv %{buildroot}%{_libdir}/lib*.la

%check
make check

%files
%license COPYING COPYING.LIB
%doc AUTHORS NEWS README
%{_libdir}/libassuan.so.0*

%files devel
%{_bindir}/libassuan-config
%{_includedir}/libassuan2/
%{_libdir}/libassuan.so
%{_libdir}/pkgconfig/libassuan.pc
%{_datadir}/aclocal/libassuan.m4
%{_infodir}/assuan.info*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.6-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.6-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Shuo Wang <abushwang@tencent.com> - 2.5.6-1
- update to 2.5.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 27 2022 Feng Weiyao <wynnfeng@tencent.com> - 2.5.5-1
- package init.
